aboutsummaryrefslogtreecommitdiff
path: root/tests/signals.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-06-26 16:43:34 -0300
committerEuAndreh <eu@euandre.org>2021-06-26 16:43:43 -0300
commit11eade748bdd4c7bfcff35da183b86c150a18412 (patch)
tree0f8fd47303a8b7f2018c6d9181632fc510072c20 /tests/signals.sh
parentMakefile: Use inference rules, disable Valgrind tests (diff)
downloadremembering-11eade748bdd4c7bfcff35da183b86c150a18412.tar.gz
remembering-11eade748bdd4c7bfcff35da183b86c150a18412.tar.xz
git grep -l '\./remembering' | xargs sed -i 's|\./remembering|./src/remembering|g'
Diffstat (limited to 'tests/signals.sh')
-rwxr-xr-xtests/signals.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/signals.sh b/tests/signals.sh
index 061d31a..76b5a27 100755
--- a/tests/signals.sh
+++ b/tests/signals.sh
@@ -7,15 +7,15 @@ export XDG_DATA_HOME="$PWD/tests/test-profiles"
test_status_is_zero_when_command_is_successful() {
testing 'status is 0 when command is successful'
- printf 'a\n' | ./remembering -pp1 -c 'head -n1' 1>/dev/null 2>/dev/null
+ printf 'a\n' | ./src/remembering -pp1 -c 'head -n1' 1>/dev/null 2>/dev/null
STATUS=$?
assert_status 0
- printf '' | ./remembering -pp2 -c 'exit 0' 1>/dev/null 2>/dev/null
+ printf '' | ./src/remembering -pp2 -c 'exit 0' 1>/dev/null 2>/dev/null
STATUS=$?
assert_status 0
- seq 9 | ./remembering -pp3 -c 'grep 7' 1>/dev/null 2>/dev/null
+ seq 9 | ./src/remembering -pp3 -c 'grep 7' 1>/dev/null 2>/dev/null
STATUS=$?
assert_status 0
@@ -25,7 +25,7 @@ test_status_is_zero_when_command_is_successful() {
test_status_is_forwarded_from_command() {
testing 'status is forwarded from command'
for status in $(seq 1 125); do
- printf '' | ./remembering -pp4 -c "exit $status" 1>/dev/null 2>/dev/null
+ printf '' | ./src/remembering -pp4 -c "exit $status" 1>/dev/null 2>/dev/null
STATUS=$?
assert_status "$status"
done